# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiGoboTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        
        self.beginLayout('Gobo属性', collapse=False)
        self.addControl('filterMode', label='过滤模式')
        self.addControl('slidemap', label='序列贴图')
        self.addControl('density', label='密度')
        self.endLayout()
        
        self.beginLayout('放置属性', collapse=False)
        self.addControl('offset', label='抵消')
        self.addControl('rotate', label='旋转')
        self.addControl('sscale', label='规模 S')
        self.addControl('tscale', label='规模 T')
        self.addControl('swrap', label='包裹 S')
        self.addControl('twrap', label='包裹 T')
        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)

        self.addExtraControls()
        self.endScrollLayout()
